php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #65702 Negative package dependencies are not parsed correctly
Submitted: 2013-09-18 18:57 UTC Modified: 2013-09-18 18:57 UTC
Votes:2
Avg. Score:3.0 ± 0.0
Reproduced:2 of 2 (100.0%)
Same Version:1 (50.0%)
Same OS:0 (0.0%)
From: osmanov@php.net Assigned: pajoye
Status: Assigned Package: Website problem
PHP Version: Irrelevant OS: Irrelevant
Private report: No CVE-ID:
Have you experienced this issue?
Rate the importance of this bug to you:

 [2013-09-18 18:57 UTC] osmanov@php.net
Description:
------------
Negative dependencies of the PECL packages are parsed incorrectly.
E.g. Event extension (version 1.7.8) has the following negative dependencies:
* windows OS
* libevent extension
I mean <conflicts/> tag in the package.xml file.
However, http://pecl.php.net/package/event page shows something ambiguous:

PECL Package: libevent
PHP Extension: libevent
Operating System: windows


Expected result:
----------------
PECL Package: libevent(conflicts)
PHP Extension: libevent(conflicts)
Operating System: windows(conflicts)


Actual result:
--------------
PECL Package: libevent
PHP Extension: libevent
Operating System: windows


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2013-09-18 18:57 UTC] osmanov@php.net
-Assigned To: +Assigned To: pajoye
 [2017-03-05 21:18 UTC] zaq178miami at gmail dot com
Hi! Same here. Are there any updates on the issue?
 
PHP Copyright © 2001-2017 The PHP Group
All rights reserved.
Last updated: Tue Aug 29 15:01:52 2017 UTC